/* GCC */
#include <iostream>
#include <cmath>
#include <vector>
#include <set>
#include <stdio.h>
#include <algorithm>
#include <queue>
#include <sstream>

using namespace std;

#define f_in(s) freopen(s,"r",stdin)
#define f_out(s) freopen(s,"w",stdout)

const long long mod = 1e5;

vector <long long> operator + (vector <long long> &a, vector <long long> &b)
{
    int t = 0;
    vector<long long> ans;
    for (int i = 0; i < max(a.size(),b.size()) || t; i++)
    {
        if (i == ans.size()) ans.push_back(0);
        ans[i] = a[i] + (i < b.size() ? b[i] : 0) + t;
        t = ans[i] >= mod;
        if (t) ans[i] -= mod;
    }
    while (ans.size() && ans.back() == 0) a.pop_back();
    return ans;
}

vector <long long> operator - (vector <long long> &a, vector <long long> &b)
{
    int t = 0;
    vector<long long> ans;
    for (int i = 0; i < max(a.size(),b.size()) || t; i++)
    {
        if (i == ans.size()) ans.push_back(0);
        ans[i] = a[i] - (i < b.size() ? b[i] : 0) - t;
        t = ans[i] >= mod;
        if (t) ans[i] -= mod;
    }
    while (ans.size() && ans.back() == 0) a.pop_back();
    return ans;
}

vector <long long> operator * (vector <long long> &a, long long b)
{
    long long t = 0;
    vector<long long> ans;
    for (int i = 0; i < a.size(); i++)
    {
        long long yuh = a[i] * b + t;
        ans.push_back(yuh % mod);
        t = yuh / mod;
    }
    if (t) ans.push_back(t);
    return ans;
}

long long operator % (vector <long long> &a, long long b)
{
    long long ans = 0;
    for (int i = a.size() - 1; i > -1; i--)
        ans = (a[i] + ans * mod) % b;
    return ans;
}

vector<long long> operator / (vector <long long> &a, long long b)
{
    vector <long long> ans;
    long long t = 0;
    for (int i = a.size() - 1; i > -1; i--)
    {
        ans.push_back((a[i] + t * mod) / b);
        t = (a[i] + t * mod) % b;
    }
    reverse(ans.begin(),ans.end());
    vector <long long> ans1;
    int i = ans.size() - 1;
    while (i > -1 && ans[i] == 0) i--;
    for (int j = 0; j <= i; j++) ans1.push_back(ans[i]);
    return ans1;
}

void write(vector <long long> & a)
{
    printf("%d",a[a.size()-1]);
    for (int i = a.size() - 2; i > -1; i--)
        printf("%05d",a[i]);
    printf("\n");
}

vector <long long> lcm (vector <long long> & a, long long b)
{
    long long c = a % b;
    long long g = __gcd(b,c);
    vector <long long> ans;
    ans = a * b;
    ans = ans / g;
    return ans;
}

int main()
{
    f_in("common.in");
    f_out("common.out");
    long long n,a,d;
    cin >> n >> a >> d;
    n--;
    while (n--)
    {
        long long a1,d1;
        cin >> a1 >> d1;
        if (d1 == 0 && a1 == a) continue;
        if (d1 == 0 && a1 != a) return cout << 0 << endl, 0;
        long long new_a = -a1;
        while (new_a < 0) new_a += d1;
        a1 = new_a;
        bool f = 0;
        long long mod = (a + a1) % d1, mod1 = d % d1;
        for (int koef = 0; koef < d1; koef++)
            if ((mod + mod1 * koef) % d1 == 0)
        {
            a = a + d * koef;
            d = (d * d1) / __gcd(d,d1);
            f = 1;
            break;
        }
        if (!f) return cout << 0 << endl, 0;
    }
    cout << a << '\n';
}
