/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
#include <algorithm>

using namespace std;

typedef vector<int> big;
#define base 1000000000
#define A first
#define D second
print(big a){
    printf("%d", a.back());
    for(int i=(int)a.size()-2; i>=0; i--)
        printf("%09d", a[i]);
}
inline big operator+(big a, int c){
    int carry=0;
    big b(1, c);
    for(int i=0; carry || i<a.size(); i++){
        if(i==a.size()) a.push_back(0);
        a[i]+=carry;
        a[i]+= i==0 ? b[0] : 0;
        carry=a[i]/base;
        a[i]%=base;
    }
    while(a.size()>1 && a.back()==0) a.pop_back();
    return a;
}
inline big operator*(big a, int b){
    int carry=0;
    long long curr;
    for(int i=0; carry || i<a.size(); i++){
        if(i==a.size()) a.push_back(0);
        curr=1LL*carry+1LL*a[i]*b;
        carry=curr/base;
        a[i]=curr%base;
    }
    while(a.size()>1 && a.back()==0) a.pop_back();
    return a;
}

int n, first;
vector<int> c, k, a, d;
vector<pair<int, int> > prog;
bool flag=false;

int nsd(int a, int b){
    return b==0 ? a : nsd(b, a%b);
}

void readData(){
    freopen("common.in", "r", stdin);

    scanf("%d", &n);
    int q, w;
    for(int i=0; i<n; i++){
        scanf("%d%d", &q, &w);
        if(w==0) {
            flag=true;
            first=q;
        }
        prog.push_back( make_pair(q, w) );
    }

    fclose(stdin);
}

void fileOut(){
    freopen("common.out", "w", stdout);

    if(flag) {
        for(int i=0; i<n && flag; i++){
            if(prog[i].D==0) flag=(prog[i].A==first);
            else flag=(prog[i].A<=first && (first-prog[i].A)%prog[i].D==0);
        }
        if(flag) printf("%d\n", first);
        else printf("0\n");
    } else {
        sort(prog.begin(), prog.end());
        c=k=a=d=vector<int>(n);
        for(int i=0; i<n; i++){
            a[i]=prog[n-1-i].first;
            d[i]=prog[n-1-i].second;
        }
        c[0]=d[0];
        k[n-1]=0;
        for(int curr=0; curr<n-1; curr++){
            int next=curr+1;
            c[next]=d[next];
            for(int i=0; i<=curr; i++){
                c[next]/=nsd(c[next], d[i]);
            }

            int currMod=0;
            int currD=d[next]/c[next];
            for(int i=curr; i>=0; i--){
                currMod=(c[i]*(currMod+k[i]))%currD;
            }
            currMod=(a[0]+currMod-a[next])%currD;

            if(currMod){
                printf("0\n");
                return;
            }

            currMod=0;
            currD=c[curr];
            for(int i=curr-1; i>=0; i--){
                currD=(currD*c[i])%d[next];
                currMod=(c[i]*(currMod+k[i]))%d[next];
            }
            currMod=(a[0]+currMod-a[next])%d[next];
            k[curr]=0;

            while(currMod){
                k[curr]++;
                currMod=(currMod+currD)%d[next];
            }
        }
        big ans(1, 0);
        for(int i=n-1; i>=0; i--){
            ans=(ans+k[i])*c[i];
        }
        ans=ans+a[0];
        print(ans);
        printf("\n");
    }

    fclose(stdout);
}

int main(){
    readData();

    fileOut();
    return 0;
}
