#include<cstdio>
#include<vector>
#include<algorithm>

using namespace std;

const int base = 1e8;

vector<int> operator+= (vector<int>& a, const vector<int>& b){
    int carry = 0;
    for(int i = 0; i < b.size() || carry; ++i){
        if(a.size() == i) a.push_back(0);
        int num = a[i] + (i < b.size() ? b[i] : 0) + carry;
        a[i] = num % base;
        carry = num / base;
    }
    return a;
}

vector<int> operator+ (vector<int> a, const vector<int>& b){
    return (a += b);
}

vector<int> operator* (const vector<int>& a, int b){
    vector<int> result;
    int carry = 0;
    for(int i = 0; i < a.size() || carry; ++i){
        long long num = 1ll * (i < a.size() ? a[i] : 0) * b + carry;
        result.push_back(num % base);
        carry = num / base;
    }
    return result;
}

vector<int> operator/ (const vector<int>& a, int b){
    vector<int> result;
    int carry = 0;
    for(int i = a.size()-1; i >= 0; --i){
        long long num = 1ll * carry * base + a[i];
        result.push_back(num / b);
        carry = num % b;
    }
    reverse(result.begin(), result.end());
    while(result.back() == 0){
        result.pop_back();
    }
    return result;
}

int operator% (const vector<int>& a, int b){
    int carry = 0;
    for(int i = a.size()-1; i >= 0; --i){
        carry = (1ll * carry * base + a[i]) % b;
    }
    return carry;
}

void print(vector<int> v){
    if(v.size() == 0){
        printf("0\n");
        return;
    }
    printf("%d", v[v.size()-1]);
    for(int i = v.size()-2; i >= 0; --i){
        printf("%0.8d", v[i]);
    }
    printf("\n");
}

int gcd(int a, int b){
    while(b > 0){
        int w = a % b;
        a = b;
        b = w;
    }
    return a;
}

int gcd(const vector<int>& a, int b){
    return gcd(b, a % b);
}

vector<int> lcm(const vector<int>& a, int b){
    return a*b/gcd(a, b);
}

vector<int> res_a, res_d;
int n, a, d;

int main(){
    freopen("common.in", "r", stdin);
    freopen("common.out", "w", stdout);
    scanf("%d%d%d", &n, &a, &d);
    res_a.push_back(a);
    res_d.push_back(d);
    int i;
    for(i = 1; i < n; ++i){
        scanf("%d%d", &a, &d);
        if(d == 0){
            if(res_a.size() > 1 || res_a[0] > a || res_d.size() > 1 || (a - res_a[0]) % res_d[0]){
                printf("0\n");
                return 0;
            }
            break;
        }
        int add = -a;
        while(add < 0)
            add += d;
        while(res_a.size() == 1 && res_a[0] < a)
            res_a += res_d;
        vector<int> vec_a;
        vec_a.push_back(add);
        int dif = (vec_a + res_a) % d, dif_d = res_d % d;
        bool found = false;
        for(int k = 0; k < d; ++k){
            if((dif + 1ll * dif_d * k) % d == 0){
                res_a += res_d * k;
                res_d = lcm(res_d, d);
                found = true;
                break;
            }
        }
        if(!found){
            printf("0\n");
            return 0;
        }
    }
    if(d == 0){
        int only_a = a;
        for(++i; i < n; ++i){
            scanf("%d%d", &a, &d);
            if(only_a < a || (only_a - a) % d){
                printf("0\n");
                return 0;
            }
        }
        printf("%d\n", only_a);
        return 0;
    }
    print(res_a);
}
